package com.nisum.paymentvendorsimulator.controllers;

import com.nisum.paymentvendorsimulator.domain.dto.SimulatorResponse;
import com.nisum.paymentvendorsimulator.services.SimulatorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api")
@CrossOrigin(origins = "*")
public class SimulatorController {

  @Autowired
  SimulatorService simService;

  @PostMapping("/authorize/{id}")
  public SimulatorResponse authorize(@PathVariable(value = "id") String id) {
    System.out.println("controller");
    System.out.println(id);
    return simService.authorize(id);
  }

}
