package com.nisum.paymentvendorsimulator.domain.dto;

import java.time.LocalDateTime;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
public class SimulatorResponse {

  String id;
  String status;
  SimulatorAmount amount;
  String invoice_id;
  SimulatorSellerProtection seller_protection;
  LocalDateTime expiration_time;
  LocalDateTime create_time;
  LocalDateTime update_time;
  List<SimulatorLink> links;

  public SimulatorResponse(String id) {
  }

}

//  {
//    "id": "0VF52814937998046",
//    "status": "CREATED",
//    "amount": {
//      "value": "10.99",
//      "currency_code": "USD"
//    },
//    "invoice_id": "INVOICE-123",
//    "seller_protection": {
//      "status": "ELIGIBLE",
//      "dispute_categories": [
//        "ITEM_NOT_RECEIVED",
//        "UNAUTHORIZED_TRANSACTION"
//      ]
//    },
//    "expiration_time": "2017-10-10T23:23:45Z",
//    "create_time": "2017-09-11T23:23:45Z",
//    "update_time": "2017-09-11T23:23:45Z",
//    "links": [
//      {
//        "rel": "self",
//        "method": "GET",
//        "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046"
//      },
//      {
//        "rel": "capture",
//        "method": "POST",
//        "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/capture"
//      },
//      {
//        "rel": "void",
//        "method": "POST",
//        "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/void"
//      },
//      {
//        "rel": "reauthorize",
//        "method": "POST",
//        "href": "https://api-m.paypal.com/v2/payments/authorizations/0VF52814937998046/reauthorize"
//      }
//    ]
//  }
//}
